<?php
session_start();

require_once '../../script_php/ConexaoSQL.php';
require_once '../../script_php/conexao.php';
require_once '../SqlServer.php';
require_once '../MysqlConsulta.php';


//receber o arquivo
$arquivo = $_FILES["file"]["tmp_name"]; // file é o name do campo
$nome  = $_FILES["file"]["name"];
$lojaOrigem = $_POST['loja'];
$observacao = 'BALANÇO GERADO A PARTIR DO COLETOR DE DADOS';
$usuario = $_SESSION['usuario'];
$data = Date('Y-d-m');

//instancia que manipula o sql server
$sql = new Sqlserver;

//instancia que manipula o mysql
$mysql = new MysqlConsulta;


$limparTabela = "TRUNCATE nao_cadastrados;;";
mysqli_query($conexao, $limparTabela);




//criar um balanco
$codigoBalanco =  $sql->inserirBalanco($data, $observacao, $lojaOrigem, 1, $usuario);

$ext = explode(";", $nome);
$objeto = fopen($arquivo, 'r');

while (($dados  = fgetcsv($objeto, 1000, ";")) !== FALSE)

 {
    $retorno = $sql->criarSubBalanco($codigoBalanco,$dados[0], $dados[1], $dados[2]);

    if($retorno){

    
    }else{

        $mysql-> informarProdutosNaoCadastrados($conexao, $dados[0], $dados[1], $dados[2]);

        //echo "nao gravou";
    }
}

$_SESSION['msg'] = "<div class='alert alert-success'>Importado com sucesso!!</div>";
header("Location: ../../importarBalanco.php");